Package org.eclipse.ui.dialogs

# Class FileEditorMappingContentProvider

java.lang.Object
org.eclipse.ui.dialogs.FileEditorMappingContentProvider

All Implemented Interfaces:
  `IContentProvider`, `IStructuredContentProvider`

public class FileEditorMappingContentProvider extends Object implements IStructuredContentProvider
A content provider for displaying of `IFileEditorMapping` objects in viewers.

This class has a singleton instance, `FileEditorMappingContentProvider.INSTANCE`, which can be used any place this kind of content provider is needed.

See Also:
  - `IContentProvider`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final FileEditorMappingContentProvider`
`INSTANCE`
Singleton instance accessor.

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getElements(Object element)`
Returns the elements to display in the viewer when its input is set to the given element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

`dispose, inputChanged`

## Field Details

### INSTANCE

public static final FileEditorMappingContentProvider INSTANCE
Singleton instance accessor.

## Method Details

### getElements

public Object[] getElements(Object element)
Description copied from interface: `IStructuredContentProvider`
Returns the elements to display in the viewer when its input is set to the given element. These elements can be presented as rows in a table, items in a list, etc. The result is not modified by the viewer.

Specified by:
  `getElements` in interface `IStructuredContentProvider`
Parameters:
  `element` - the input element
Returns:
  the array of elements to display in the viewer